Last Comment Bug 16380 - Need anti-aliasing for -moz-border-radius style property
: Need anti-aliasing for -moz-border-radius style property
Status: RESOLVED FIXED
: css-moz, css3
Product: Core Graveyard
Classification: Graveyard
Component: GFX (show other bugs)
: Trunk
: All Linux
: -- enhancement with 10 votes (vote)
: ---
Assigned To: general
: Hixie (not reading bugmail)
Mentors:
: 214192 222888 287075 343252 (view as bug list)
Depends on: 381735
Blocks: 16395 387345
  Show dependency treegraph
 
Reported: 1999-10-13 20:08 PDT by german
Modified: 2009-01-22 10:17 PST (History)
35 users (show)
vladimir: blocking1.9-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Comparison (10.08 KB, image/png)
2006-03-04 15:52 PST, Michael K.
no flags Details

Description german 1999-10-13 20:08:58 PDT
This would make this CSS style attribute ready to use for prime time. Can we do
it?
Comment 1 dcone (gone) 1999-10-14 06:47:59 PDT
As of today I will be working on this border issue.. the issues currently are a
resolution problem.. this is causing some funny roundedness at certain scroll
posistions.. I do have an anti-alias kind of routine in there, turned off for
now until I get the twips to pixel converions popping the borders onto the
correct boundries.. thats why some things look good and the same thing looks bad
at another position in the page.  Things should start shaping up soon.
Comment 2 dcone (gone) 1999-11-29 08:51:59 PST
This is not a for-sure thing, but I will continue to look for solutions..
This is more difficult since it is rendered in twips, so anti-aliasing in
smaller than screen space is not a standard approach.
Comment 3 Chris Petersen 1999-12-02 11:12:59 PST
Marking as verified remind
Comment 4 Hixie (not reading bugmail) 2000-08-04 14:50:44 PDT
Is this done?
Comment 5 Christopher Hoess (gone) 2002-04-29 11:31:22 PDT
REMIND is deprecated per bug 35839. Is this bug fixed yet?
Comment 6 Kevin McCluskey (gone) 2002-10-21 14:46:47 PDT
Bulk moving P1-P5 un-milestoned bugs to future. 
Comment 7 Jo Hermans 2003-07-28 13:00:57 PDT
*** Bug 214192 has been marked as a duplicate of this bug. ***
Comment 8 Hixie (not reading bugmail) 2003-10-21 10:02:00 PDT
.
Comment 9 Hixie (not reading bugmail) 2003-10-21 10:02:19 PDT
*** Bug 222888 has been marked as a duplicate of this bug. ***
Comment 10 David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch) 2003-10-21 11:34:36 PDT
.
Comment 11 Nathan 2004-06-27 21:29:28 PDT
This bug should really be addressed now that Mozilla Update uses that style.  It
looks ugly because it's not anti-aliased.
Comment 12 R.K.Aa. 2005-03-21 09:36:06 PST
*** Bug 287075 has been marked as a duplicate of this bug. ***
Comment 13 Andrew Keyser 2005-05-03 19:50:27 PDT
I'm wondering if this can possibly block Firefox 1.1, maybe 1.2. It's a great
dissapointment that it looks so akward at times.
Comment 14 Kae Verens 2005-05-04 01:30:56 PDT
I'm working on some code which I hope to eventually port to C++ to add anti-
aliasing for Mozilla (http://verens.com/demos/borders/).
  However, it looks like Cairo is getting quite a push recently. i wonder is 
it more worth my while writing my code using the Cairo API than using the 
usual Mozilla function set?
  If Cairo becomes ubiquitous, it may solve a lot of antialiasing and other 
opacity-based problems. Is that the plan?
Comment 15 ArronM (:paper) 2005-05-04 05:52:59 PDT
Cairo is a long ways away from being fully functional.  While I do not speak for
the Mozilla Cairo code-wrapping developers, I believe that one of the goals of
using Cairo is to solve things like the opacity problems for all platforms at once.

Personally speaking, I'd love to see better anti-aliasing come to the current
gfx implementation.  But it's your call, and your time.
Comment 16 ArronM (:paper) 2005-05-04 06:02:58 PDT
There's some antialiasing information for Mozilla2 on the wiki at
http://wiki.mozilla.org/Mozilla2:Antialiasing

And to help with your decision, some information on the path to Cairo
http://wiki.mozilla.org/Mozilla2:GFXEvolution
Comment 17 Kae Verens 2005-05-04 06:12:32 PDT
I think it's best to just continue and get anti-aliasing working correctly in 
the present gfx set.
  Cairo does not seem to implement dashed borders at the moment, so whatever 
solution we come up with will benefit both the present gfx, and also any 
future work on Cairo in that context.
  Also, the GFXEvolution page hints that there may not be full coverage for 
Cairo for some time, especially on lower-end machines such as embedded 
devices, so fixing the present gfx will be beneficial all-around.

Thanks for the thoughts, guys. I hope to have some example anti-aliasing code 
for rounded borders (as well as bevelled corners) completed by the end of the 
week.
Comment 18 Kae Verens 2005-05-28 07:54:08 PDT
Did I say "end of the week"?

As my own boss knows, I'm a little **** at indicating the length of a job.

I think I've finished with the basic anti-aliasing work:
http://kae.verens.com/demos/borders/anti-aliased.html

I will not be re-writing that in C++ yet, though - I am not finished with
dashes, doubled borders, etc. Once those are done, it will be ready for
inclusion (and in dire need of optimisation!).

Note that the example is ellipsoid - it conforms to the W3C draft, as far as I know.
Comment 19 Arpad Borsos [:Swatinem] 2005-09-03 05:18:55 PDT
http://webkit.opendarwin.org/blog/?p=22 Safari does it.
Whats the status of the Gecko implementation? Is there a chance it makes into 1.9?
Comment 20 Kae Verens 2005-09-03 06:02:33 PDT
I'm waiting for Cairo to be integrated fully into the engine before I goany 
further with my own attempts. Cairo has anti-aliasing built-in, and curves, so 
it should make this simple to implement once it's in.
Comment 21 Michael K. 2006-03-03 07:31:08 PST
Seems fixed in latest trunk (Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20060302 Firefox/1.6a1).
Comment 22 Michael K. 2006-03-04 15:52:02 PST
Created attachment 214031 [details]
Comparison
Comment 23 Adam Guthrie 2006-05-18 17:18:03 PDT
Since we're using Cairo now this is fixed.
Comment 24 Sander 2006-07-01 04:55:54 PDT
*** Bug 343252 has been marked as a duplicate of this bug. ***
Comment 25 David Naylor 2006-11-10 14:50:36 PST
Does anyone know the number of the bug for the artefact visible in the cairo example of the trunk vs 1.8 comparison?
Comment 26 Michael K. 2006-11-11 11:10:09 PST
That would be bug 328241
Comment 27 Dão Gottwald [:dao] 2007-09-29 16:23:38 PDT
This doesn't seem to be fixed for Linux.
Comment 28 Vladimir Vukicevic [:vlad] [:vladv] 2007-10-03 10:07:57 PDT
I can't find the bug at the moment, but there's a bug for turning on antialiasing under linux -- it was turned off due to serious performance issues.
Comment 29 Dão Gottwald [:dao] 2007-10-03 10:23:02 PDT
(In reply to comment #28)
> I can't find the bug at the moment, but there's a bug for turning on
> antialiasing under linux 

Bug 381735. Ironically, that one is blocking1.9.

Note You need to log in before you can comment on or make changes to this bug.